Package org.multiverse.stms.gamma

## Interface GammaTxnExecutor

- All Superinterfaces:
    `MultiverseConstants`, `TxnExecutor`
  All Known Implementing Classes:
    `AbstractGammaTxnExecutor`, `FatGammaTxnExecutor`, `LeanGammaTxnExecutor`

      public interface GammaTxnExecutor
      extends TxnExecutor

  An `TxnExecutor` tailored for the GammaStm.

- - ### Field Summary

    - ### Fields inherited from interface org.multiverse.MultiverseConstants

      `LOCKMODE_EXCLUSIVE, LOCKMODE_NONE, LOCKMODE_READ, LOCKMODE_WRITE, SHAKE_BUGS, SPIN_YIELD, TRACING_ENABLED`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `GammaTxnFactory` | `getTxnFactory()` | Returns the `TxnFactory` that is used by this TxnExecutor to create transactions used to execute transactional closures.

    - ### Methods inherited from interface org.multiverse.api.TxnExecutor

      `execute, execute, execute, execute, execute, execute, executeChecked, executeChecked, executeChecked, executeChecked, executeChecked, executeChecked`

- - ### Method Detail

    - #### getTxnFactory

          GammaTxnFactory getTxnFactory()

      Description copied from interface: `TxnExecutor`
      Returns the `TxnFactory` that is used by this TxnExecutor to create transactions used to execute transactional closures.
      Specified by:
        `getTxnFactory` in interface `TxnExecutor`
      Returns:
        the TxnFactory used by this TxnExecutor.